/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 * $Id: DomainDataStream.java,v 1.1 2005/09/07 13:38:06 rampil Exp $
 */
package org.logical_paradox.vsan.dfs;

import java.io.Serializable;

/**
 * ドメインファイルシステムからの回答
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class DomainDataStream implements Serializable {
	private final int size;
	private final byte[] stream;

	/**
	 * コンストラクタ．
	 * @param size 実データサイズ
	 * @param stream データストリーム
	 */
	public DomainDataStream(int size_, byte[] stream_) {
		size = size_;
		stream = stream_;
	}
	/**
	 * 実データサイズを返す．
	 * @return 実データサイズ
	 */
	public int getSize() {
		return size;
	}
	/**
	 * データストリームを返す．
	 * @return データストリーム
	 */
	public byte[] getStream() {
		return stream;
	}
}
